// sleep in ms resolution for Win and Linux

#ifndef MSSLEEP_HEADER_INCLUDED
#define MSSLEEP_HEADER_INCLUDED

#ifdef WIN32
 #include <Windows.h>
#else
 //#include <time.h>
 #include <unistd.h>
#endif

void msSleep(unsigned int time_in_ms) {
#ifdef WIN32
	Sleep(time_in_ms);
#else
	usleep(time_in_ms * 1000);
	//timespec req;
	//req.tv_sec = time_in_ms/1000;
	//req.tv_nsec = (time_in_ms % 1000) * 1000000;
	//nanosleep(&req, NULL);
#endif
}


#endif // MSSLEEP_HEADER_INCLUDED
