// pgm as blend mask image
//
// by Marcel Lancelle

#include "PgmImage.h"

DAVE::PgmImage::PgmImage() {
	width = 0;
	height = 0;
	data = NULL;
}

DAVE::PgmImage::~PgmImage() {
	if (data) delete[] data;
}

bool DAVE::PgmImage::load(std::string fileName) {
	unsigned char* srcData;

	if (!loadPGM(fileName, &width, &height, &srcData)) return false;

	data = new unsigned char[width * height * 4];

	unsigned char* s = srcData;
	unsigned char* p = data;
	for (int i=0; i<width*height; i++) {
		*p++ = 0;
		*p++ = 0;
		*p++ = 0;
		*p++ = *s++;
	}

	delete[] srcData;
	return true;
}
