// // code to access window information in a callback:
// DAVE::DaveWindowManager::WindowStruct* win = (DAVE::DaveWindowManager::WindowStruct*) glutGetWindowData();


#include "opengleanDaveWindows.h"
#include "Dave.h"
#include <GL/openglean.h>

// create and show all windows as specified in dave configuration
void createOpengleanDaveWindow(DAVE::DaveWindowManager::WindowStruct* i, int glutDisplayMode) {
	if (i->quadBuffer) glutDisplayMode |= GLUT_STEREO;

	#ifdef GLUT_BORDERLESS // only in patched OpenGlean, but according to it's docs
	if (i->borderLess) glutDisplayMode |= GLUT_BORDERLESS;
	#endif // GLUT_BORDERLESS

	glutInitDisplayMode(glutDisplayMode);
	glutInitWindowSize(i->width, i->height);
	glutInitWindowPosition(i->posX, i->posY);
	i->systemWindowId = glutCreateWindow(i->title.c_str());
	if (i->fullScreenAtStartup) {
		glutFullScreen();
		glutSetCursor(GLUT_CURSOR_NONE);
	}

	// set a pointer to the WindowStruct; in a callback use glutGetWindowData() to get it
	glutSetWindowData(i);
}
